diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./Makefile ./Makefile
--- ./Makefile	2005-03-06 22:03:31.000000000 +0100
+++ ./Makefile	2005-03-06 23:40:11.000000000 +0100
@@ -43,18 +43,31 @@
 
 #######################################################################
 
-ifeq ("$(BUILD_NEWGUI)", "yes")
-  ICONS_CHOICE=tux
-  GUI=NEWGUI
-  SRC_GUI=src/$(GTK)/newgui
+ifeq ("$(USE_GTK2)", "yes")
+  ICONS_CHOICE=src/gtk2/rsvg
+  SRC_GUI=src/gtk2/gui
+  GUI=GTK2GUI
+  IM_GUI=src/gtk2/im
+  CHAT_GUI=src/gtk2/chat
 else
-  SRC_GUI=src/$(GTK)/gui
-  SRC_GUI2=src/$(GTK)/gui2
-  ICONS_CHOICE=kde
-  GUI=OLDGUI
+  CONFIGWIN=src/gtk/configwin
+  GPATTERN=src/gtk/gpattern
+  OKEY=src/gtk/okey
+  IM_GUI=src/gtk/im
+  CHAT_GUI=src/gtk/chat
+  ifeq ("$(BUILD_NEWGUI)", "yes")
+    SRC_PROGRESS=src/gtk/progress
+    ICONS_CHOICE=icons/tux
+    GUI=NEWGUI
+    SRC_GUI=src/gtk/newgui
+  else
+    SRC_GUI=src/gtk/gui
+    SRC_GUI2=src/gtk/gui2
+    ICONS_CHOICE=icons/kde
+    GUI=OLDGUI
+  endif
 endif
 
-
 CDK=src/utils/cdk
 LIB=src/utils/lib
 NET=src/utils/net
@@ -66,11 +79,6 @@
 DRIVER=src/daemon/driver
 MP3=src/utils/mp3tagui
 
-GPATTERN=src/$(GTK)/gpattern
-OKEY=src/$(GTK)/okey
-CONFIGWIN=src/$(GTK)/configwin
-SRC_PROGRESS=src/$(GTK)/progress
-
 ifeq ("$(DEVEL)", "yes")
 
 DONKEY_DIR=donkey_devel
@@ -95,8 +103,7 @@
 SRC_FILETP=src/networks/fileTP
 SRC_ARES=src/networks/ares
 
-IM=src/$(GTK)/im
-CHAT_GUI=src/$(GTK)/chat
+IM=src/im
 
 SUBDIRS=$(CDK) $(CHAT) $(CHAT_GUI) $(LIB) $(RSS) $(XML) $(NET) tools \
    $(COMMON) $(DRIVER) $(MP3) src/config/$(OS_FILES) $(EXTRA_DIRS)
@@ -121,15 +128,12 @@
 
 #######################################################################
 
-
 ifeq ("$(OS_FILES2)", "mingw")
-  LIBS_flags += -cclib  -lws2_32 -cclib resfile.o
-#  LIBS_byte += -cclib -lws2_32
+  LIBS_flags += -ccopt "$(GTKCFLAGS) $(GTKLLIBS)" -cclib "$(GTKLFLAGS) -lws2_32 -lgdi32 -luser32 -ladvapi32 -lwsock32 -limm32 -lshell32 -lole32 resfile.o"
 endif
 
 ifeq ("$(OS_FILES2)", "cygwin")
-  LIBS_flags += -cclib  -lws2_32 -cclib resfile.o
-#  LIBS_byte += -cclib -lws2_32
+  LIBS_flags += -ccopt "$(GTKCFLAGS) $(GTKLLIBS)" -cclib "$(GTKLFLAGS) -lws2_32 -lgdi32 -luser32 -ladvapi32 -lwsock32 -limm32 -lshell32 -lole32 resfile.o"
 endif
 
 ifeq ("$(ZLIB)" , "yes")
@@ -229,7 +233,7 @@
         $(CHAT)/chat_proto.ml\
         $(CHAT)/chat_types.ml\
         $(CHAT)/chat_options.ml\
-        $(CHAT)/chat_config.ml\
+        $(CHAT)/chat_config.ml
 
 COMMON_SRCS=$(COMMON)/commonTypes.ml \
   $(COMMON)/guiTypes.ml \
@@ -828,14 +832,21 @@
              rm -f $(prefix)/bin/mlim; cp -f mlim $(prefix)/bin/mlim; \
          fi
 
-
 ifeq ("$(COMPILE_GUI)" , "yes")
+  ifeq ("$(USE_GTK2)", "yes")
+    SUBDIRS += $(SRC_GUI) $(SRC_GUI)/win32 $(ICONS_CHOICE) +lablgtk2
+    GTK_LIBS_byte=-I +lablgtk2 $(LABLGL_CMA) lablgtk.cma gtkInit.cmo lablrsvg.cma
+    GTK_LIBS_opt=-I +lablgtk2 $(LABLGL_CMXA) lablgtk.cmxa gtkInit.cmx lablrsvg.cmxa
+    GTK_STATIC_LIBS_opt=-I +lablgtk2 lablgtk.cmxa gtkInit.cmx lablrsvg.cmxa
+  else
+    SUBDIRS += $(SRC_GUI) $(SRC_GUI2) $(CONFIGWIN) $(OKEY) $(GPATTERN) $(ICONS_CHOICE) +lablgtk $(SRC_PROGRESS)
+    GTK_LIBS_byte=-I +lablgtk $(LABLGL_CMA) lablgtk.cma
+    GTK_LIBS_opt=-I +lablgtk  $(LABLGL_CMXA) lablgtk.cmxa
+    GTK_STATIC_LIBS_opt=-I +lablgtk lablgtk.cmxa
+  endif
 
-SUBDIRS += $(SRC_GUI) $(SRC_GUI2) $(CONFIGWIN) $(OKEY) $(GPATTERN) icons/$(ICONS_CHOICE) +labl$(GTK) $(SRC_PROGRESS)
-
-GTK_LIBS_byte=-I +labl$(GTK) $(LABLGL_CMA) lablgtk.cma
-GTK_LIBS_opt=-I +labl$(GTK)  $(LABLGL_CMXA) lablgtk.cmxa
-GTK_STATIC_LIBS_opt=-I +labl$(GTK) lablgtk.cmxa
+SVG_CONVERTER_SRCS = \
+  $(CDK_SRCS) tools/svg_converter.ml
 
 CURSES_LIBS_byte=-cclib -lncurses
 CURSES_LIBS_opt=-cclib -lncurses
@@ -853,109 +864,265 @@
 
 OKEY_SRCS= $(OKEY)/okey.ml
 
+GTK2GUI_ICONS= \
+  $(ICONS_CHOICE)/splash_screen.svg \
+  $(ICONS_CHOICE)/menu_networks.svg \
+  $(ICONS_CHOICE)/menu_servers.svg \
+  $(ICONS_CHOICE)/menu_downloads.svg \
+  $(ICONS_CHOICE)/menu_friends.svg \
+  $(ICONS_CHOICE)/menu_searches.svg \
+  $(ICONS_CHOICE)/menu_rooms.svg \
+  $(ICONS_CHOICE)/menu_uploads.svg \
+  $(ICONS_CHOICE)/menu_console.svg \
+  $(ICONS_CHOICE)/menu_graph.svg \
+  $(ICONS_CHOICE)/menu_im.svg \
+  $(ICONS_CHOICE)/menu_settings.svg \
+  $(ICONS_CHOICE)/menu_quit.svg \
+  $(ICONS_CHOICE)/menu_help.svg \
+  $(ICONS_CHOICE)/menu_core.svg \
+  $(ICONS_CHOICE)/menu_core_reconnect.svg \
+  $(ICONS_CHOICE)/menu_core_connectto.svg \
+  $(ICONS_CHOICE)/menu_core_scanports.svg \
+  $(ICONS_CHOICE)/menu_core_disconnect.svg \
+  $(ICONS_CHOICE)/menu_core_kill.svg \
+  $(ICONS_CHOICE)/menu_search_album.svg \
+  $(ICONS_CHOICE)/menu_search_movie.svg \
+  $(ICONS_CHOICE)/menu_search_mp3.svg \
+  $(ICONS_CHOICE)/menu_search_complex.svg \
+  $(ICONS_CHOICE)/menu_search_freedb.svg \
+  $(ICONS_CHOICE)/menu_search_imdb.svg \
+  $(ICONS_CHOICE)/menu_mlchat.svg \
+  $(ICONS_CHOICE)/menu_interfaces.svg \
+  $(ICONS_CHOICE)/menu_tools.svg \
+  $(ICONS_CHOICE)/menu_others.svg \
+  $(ICONS_CHOICE)/net_bittorrent.svg \
+  $(ICONS_CHOICE)/net_dc.svg \
+  $(ICONS_CHOICE)/net_ed2k.svg \
+  $(ICONS_CHOICE)/net_fasttrack.svg \
+  $(ICONS_CHOICE)/net_filetp.svg \
+  $(ICONS_CHOICE)/net_gnutella1.svg \
+  $(ICONS_CHOICE)/net_gnutella2.svg \
+  $(ICONS_CHOICE)/net_napster.svg \
+  $(ICONS_CHOICE)/net_soulseek.svg \
+  $(ICONS_CHOICE)/net_multinet.svg \
+  $(ICONS_CHOICE)/net_globalshare.svg \
+  $(ICONS_CHOICE)/net_supernode.svg \
+  $(ICONS_CHOICE)/stock_shared_directory.svg \
+  $(ICONS_CHOICE)/stock_directory.svg \
+  $(ICONS_CHOICE)/stock_directory_open.svg \
+  $(ICONS_CHOICE)/stock_color.svg \
+  $(ICONS_CHOICE)/stock_font.svg \
+  $(ICONS_CHOICE)/stock_password.svg \
+  $(ICONS_CHOICE)/stock_download_directory.svg \
+  $(ICONS_CHOICE)/stock_pending_slots.svg \
+  $(ICONS_CHOICE)/stock_close.svg \
+  $(ICONS_CHOICE)/stock_close_overlay.svg \
+  $(ICONS_CHOICE)/stock_stop.svg \
+  $(ICONS_CHOICE)/stock_ok.svg \
+  $(ICONS_CHOICE)/stock_all_servers.svg \
+  $(ICONS_CHOICE)/stock_add_server.svg \
+  $(ICONS_CHOICE)/stock_subscribe_search.svg \
+  $(ICONS_CHOICE)/stock_submit_search.svg \
+  $(ICONS_CHOICE)/stock_extend_search.svg \
+  $(ICONS_CHOICE)/stock_info.svg \
+  $(ICONS_CHOICE)/stock_local_search.svg \
+  $(ICONS_CHOICE)/stock_warning.svg \
+  $(ICONS_CHOICE)/type_source_contact.svg \
+  $(ICONS_CHOICE)/type_source_friend.svg \
+  $(ICONS_CHOICE)/type_source_normal.svg \
+  $(ICONS_CHOICE)/state_server_conh.svg \
+  $(ICONS_CHOICE)/state_server_conl.svg \
+  $(ICONS_CHOICE)/state_server_init.svg \
+  $(ICONS_CHOICE)/state_server_notcon.svg \
+  $(ICONS_CHOICE)/state_server_unknown.svg \
+  $(ICONS_CHOICE)/state_source_fileslisted.svg \
+  $(ICONS_CHOICE)/state_down.svg \
+  $(ICONS_CHOICE)/state_up.svg \
+  $(ICONS_CHOICE)/state_updown.svg \
+  $(ICONS_CHOICE)/state_notupdown.svg \
+  $(ICONS_CHOICE)/mime_unknown.svg \
+  $(ICONS_CHOICE)/mime_images.svg \
+  $(ICONS_CHOICE)/mime_binary.svg \
+  $(ICONS_CHOICE)/mime_cdimage.svg \
+  $(ICONS_CHOICE)/mime_debian.svg \
+  $(ICONS_CHOICE)/mime_html.svg \
+  $(ICONS_CHOICE)/mime_java.svg \
+  $(ICONS_CHOICE)/mime_pdf.svg \
+  $(ICONS_CHOICE)/mime_postscript.svg \
+  $(ICONS_CHOICE)/mime_real.svg \
+  $(ICONS_CHOICE)/mime_recycled.svg \
+  $(ICONS_CHOICE)/mime_rpm.svg \
+  $(ICONS_CHOICE)/mime_shellscript.svg \
+  $(ICONS_CHOICE)/mime_soffice.svg \
+  $(ICONS_CHOICE)/mime_sound.svg \
+  $(ICONS_CHOICE)/mime_source.svg \
+  $(ICONS_CHOICE)/mime_spreadsheet.svg \
+  $(ICONS_CHOICE)/mime_tex.svg \
+  $(ICONS_CHOICE)/mime_text.svg \
+  $(ICONS_CHOICE)/mime_tgz.svg \
+  $(ICONS_CHOICE)/mime_video.svg \
+  $(ICONS_CHOICE)/mime_wordprocessing.svg \
+  $(ICONS_CHOICE)/emoticon_storm.svg \
+  $(ICONS_CHOICE)/emoticon_airplane.svg \
+  $(ICONS_CHOICE)/emoticon_angel.svg \
+  $(ICONS_CHOICE)/emoticon_arrogant.svg \
+  $(ICONS_CHOICE)/emoticon_asl.svg \
+  $(ICONS_CHOICE)/emoticon_bad.svg \
+  $(ICONS_CHOICE)/emoticon_baringteeth.svg \
+  $(ICONS_CHOICE)/emoticon_bat.svg \
+  $(ICONS_CHOICE)/emoticon_beer.svg \
+  $(ICONS_CHOICE)/emoticon_bowl.svg \
+  $(ICONS_CHOICE)/emoticon_boy.svg \
+  $(ICONS_CHOICE)/emoticon_cake.svg \
+  $(ICONS_CHOICE)/emoticon_cat.svg \
+  $(ICONS_CHOICE)/emoticon_cigaret.svg \
+  $(ICONS_CHOICE)/emoticon_clock.svg \
+  $(ICONS_CHOICE)/emoticon_confused.svg \
+  $(ICONS_CHOICE)/emoticon_cry.svg \
+  $(ICONS_CHOICE)/emoticon_cup.svg \
+  $(ICONS_CHOICE)/emoticon_devil.svg \
+  $(ICONS_CHOICE)/emoticon_dog.svg \
+  $(ICONS_CHOICE)/emoticon_dude_hug.svg \
+  $(ICONS_CHOICE)/emoticon_dunno.svg \
+  $(ICONS_CHOICE)/emoticon_embarrassed.svg \
+  $(ICONS_CHOICE)/emoticon_envelope.svg \
+  $(ICONS_CHOICE)/emoticon_eyeroll.svg \
+  $(ICONS_CHOICE)/emoticon_film.svg \
+  $(ICONS_CHOICE)/emoticon_girl.svg \
+  $(ICONS_CHOICE)/emoticon_girl_hug.svg \
+  $(ICONS_CHOICE)/emoticon_ip.svg \
+  $(ICONS_CHOICE)/emoticon_kiss.svg \
+  $(ICONS_CHOICE)/emoticon_lightning.svg \
+  $(ICONS_CHOICE)/emoticon_love.svg \
+  $(ICONS_CHOICE)/emoticon_megasmile.svg \
+  $(ICONS_CHOICE)/emoticon_moon.svg \
+  $(ICONS_CHOICE)/emoticon_nerd.svg \
+  $(ICONS_CHOICE)/emoticon_omg.svg \
+  $(ICONS_CHOICE)/emoticon_party.svg \
+  $(ICONS_CHOICE)/emoticon_pizza.svg \
+  $(ICONS_CHOICE)/emoticon_plate.svg \
+  $(ICONS_CHOICE)/emoticon_present.svg \
+  $(ICONS_CHOICE)/emoticon_rainbow.svg \
+  $(ICONS_CHOICE)/emoticon_sad.svg \
+  $(ICONS_CHOICE)/emoticon_sarcastic.svg \
+  $(ICONS_CHOICE)/emoticon_secret.svg \
+  $(ICONS_CHOICE)/emoticon_shade.svg \
+  $(ICONS_CHOICE)/emoticon_sick.svg \
+  $(ICONS_CHOICE)/emoticon_sleepy.svg \
+  $(ICONS_CHOICE)/emoticon_sorry.svg \
+  $(ICONS_CHOICE)/emoticon_sshh.svg \
+  $(ICONS_CHOICE)/emoticon_sun.svg \
+  $(ICONS_CHOICE)/emoticon_teeth.svg \
+  $(ICONS_CHOICE)/emoticon_thumbs_down.svg \
+  $(ICONS_CHOICE)/emoticon_thumbs_up.svg \
+  $(ICONS_CHOICE)/emoticon_tongue.svg \
+  $(ICONS_CHOICE)/emoticon_ugly.svg \
+  $(ICONS_CHOICE)/emoticon_ulove.svg \
+  $(ICONS_CHOICE)/emoticon_wink.svg
+
 NEWGUI_ICONS= \
-  icons/$(ICONS_CHOICE)/extend_search.xpm \
-  icons/$(ICONS_CHOICE)/local_search.xpm \
-  icons/$(ICONS_CHOICE)/trash.xpm \
-  icons/$(ICONS_CHOICE)/subscribe_search.xpm \
-  icons/$(ICONS_CHOICE)/submit_search.xpm \
-  icons/$(ICONS_CHOICE)/close_search.xpm \
-  icons/$(ICONS_CHOICE)/stop_search.xpm \
-  icons/$(ICONS_CHOICE)/nbk_networks_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_networks_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_servers_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_servers_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_downloads_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_downloads_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_friends_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_friends_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_search_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_search_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_rooms_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_rooms_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_uploads_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_uploads_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_console_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_console_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_graphs_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_graphs_menu.xpm \
-  icons/$(ICONS_CHOICE)/about.xpm \
-  icons/$(ICONS_CHOICE)/im.xpm \
-  icons/$(ICONS_CHOICE)/settings.xpm \
-  icons/$(ICONS_CHOICE)/exit.xpm \
-  icons/$(ICONS_CHOICE)/gui.xpm \
-  icons/$(ICONS_CHOICE)/kill_core.xpm \
-  icons/$(ICONS_CHOICE)/splash_screen.xpm \
-  icons/$(ICONS_CHOICE)/album_search.xpm \
-  icons/$(ICONS_CHOICE)/movie_search.xpm \
-  icons/$(ICONS_CHOICE)/mp3_search.xpm \
-  icons/$(ICONS_CHOICE)/complex_search.xpm \
-  icons/$(ICONS_CHOICE)/sharereactor_search.xpm \
-  icons/$(ICONS_CHOICE)/jigle_search.xpm \
-  icons/$(ICONS_CHOICE)/freedb_search.xpm \
-  icons/$(ICONS_CHOICE)/imdb_search.xpm \
-  icons/$(ICONS_CHOICE)/bt.xpm \
-  icons/$(ICONS_CHOICE)/dc.xpm \
-  icons/$(ICONS_CHOICE)/ed2k.xpm \
-  icons/$(ICONS_CHOICE)/fasttrack.xpm \
-  icons/$(ICONS_CHOICE)/gnutella.xpm \
-  icons/$(ICONS_CHOICE)/napster.xpm \
-  icons/$(ICONS_CHOICE)/slsk.xpm \
-  icons/$(ICONS_CHOICE)/unknown.xpm \
-  icons/$(ICONS_CHOICE)/downloading.xpm \
-  icons/$(ICONS_CHOICE)/connect_y.xpm \
-  icons/$(ICONS_CHOICE)/connect_m.xpm \
-  icons/$(ICONS_CHOICE)/connect_n.xpm \
-  icons/$(ICONS_CHOICE)/removedhost.xpm \
-  icons/$(ICONS_CHOICE)/blacklistedhost.xpm \
-  icons/$(ICONS_CHOICE)/files_listed.xpm \
-  icons/$(ICONS_CHOICE)/server_c_high.xpm \
-  icons/$(ICONS_CHOICE)/server_c_low.xpm \
-  icons/$(ICONS_CHOICE)/server_ci.xpm \
-  icons/$(ICONS_CHOICE)/server_nc.xpm \
-  icons/$(ICONS_CHOICE)/toggle_display_all_servers.xpm \
-  icons/$(ICONS_CHOICE)/view_pending_slots.xpm \
-  icons/$(ICONS_CHOICE)/add_server.xpm \
-  icons/$(ICONS_CHOICE)/add_shared_directory.xpm \
-  icons/$(ICONS_CHOICE)/download_directory.xpm \
-  icons/$(ICONS_CHOICE)/friend_user.xpm \
-  icons/$(ICONS_CHOICE)/contact_user.xpm \
-  icons/$(ICONS_CHOICE)/normal_user.xpm \
-  icons/$(ICONS_CHOICE)/priority_0.xpm \
-  icons/$(ICONS_CHOICE)/priority_1.xpm \
-  icons/$(ICONS_CHOICE)/priority_2.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_binary.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_cdimage.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_debian.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_html.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_images.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_java.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_pdf.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_postscript.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_real.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_recycled.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_rpm.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_shellscript.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_soffice.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_sound.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_source.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_spreadsheet.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_tex.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_text.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_tgz.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_video.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_wordprocessing.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_unknown.xpm \
-  icons/$(ICONS_CHOICE)/tree_closed.xpm \
-  icons/$(ICONS_CHOICE)/tree_opened.xpm \
-  icons/$(ICONS_CHOICE)/bt_net_on.xpm \
-  icons/$(ICONS_CHOICE)/dc_net_on.xpm \
-  icons/$(ICONS_CHOICE)/ed2k_net_on.xpm \
-  icons/$(ICONS_CHOICE)/ftt_net_on.xpm \
-  icons/$(ICONS_CHOICE)/gnut_net_on.xpm \
-  icons/$(ICONS_CHOICE)/nap_net_on.xpm \
-  icons/$(ICONS_CHOICE)/slsk_net_on.xpm \
-  icons/$(ICONS_CHOICE)/mld_tux_on.xpm
+  $(ICONS_CHOICE)/extend_search.xpm \
+  $(ICONS_CHOICE)/local_search.xpm \
+  $(ICONS_CHOICE)/trash.xpm \
+  $(ICONS_CHOICE)/subscribe_search.xpm \
+  $(ICONS_CHOICE)/submit_search.xpm \
+  $(ICONS_CHOICE)/close_search.xpm \
+  $(ICONS_CHOICE)/stop_search.xpm \
+  $(ICONS_CHOICE)/nbk_networks_on.xpm \
+  $(ICONS_CHOICE)/nbk_networks_menu.xpm \
+  $(ICONS_CHOICE)/nbk_servers_on.xpm \
+  $(ICONS_CHOICE)/nbk_servers_menu.xpm \
+  $(ICONS_CHOICE)/nbk_downloads_on.xpm \
+  $(ICONS_CHOICE)/nbk_downloads_menu.xpm \
+  $(ICONS_CHOICE)/nbk_friends_on.xpm \
+  $(ICONS_CHOICE)/nbk_friends_menu.xpm \
+  $(ICONS_CHOICE)/nbk_search_on.xpm \
+  $(ICONS_CHOICE)/nbk_search_menu.xpm \
+  $(ICONS_CHOICE)/nbk_rooms_on.xpm \
+  $(ICONS_CHOICE)/nbk_rooms_menu.xpm \
+  $(ICONS_CHOICE)/nbk_uploads_on.xpm \
+  $(ICONS_CHOICE)/nbk_uploads_menu.xpm \
+  $(ICONS_CHOICE)/nbk_console_on.xpm \
+  $(ICONS_CHOICE)/nbk_console_menu.xpm \
+  $(ICONS_CHOICE)/nbk_graphs_on.xpm \
+  $(ICONS_CHOICE)/nbk_graphs_menu.xpm \
+  $(ICONS_CHOICE)/about.xpm \
+  $(ICONS_CHOICE)/im.xpm \
+  $(ICONS_CHOICE)/settings.xpm \
+  $(ICONS_CHOICE)/exit.xpm \
+  $(ICONS_CHOICE)/gui.xpm \
+  $(ICONS_CHOICE)/kill_core.xpm \
+  $(ICONS_CHOICE)/splash_screen.xpm \
+  $(ICONS_CHOICE)/album_search.xpm \
+  $(ICONS_CHOICE)/movie_search.xpm \
+  $(ICONS_CHOICE)/mp3_search.xpm \
+  $(ICONS_CHOICE)/complex_search.xpm \
+  $(ICONS_CHOICE)/sharereactor_search.xpm \
+  $(ICONS_CHOICE)/jigle_search.xpm \
+  $(ICONS_CHOICE)/freedb_search.xpm \
+  $(ICONS_CHOICE)/imdb_search.xpm \
+  $(ICONS_CHOICE)/bt.xpm \
+  $(ICONS_CHOICE)/dc.xpm \
+  $(ICONS_CHOICE)/ed2k.xpm \
+  $(ICONS_CHOICE)/fasttrack.xpm \
+  $(ICONS_CHOICE)/gnutella.xpm \
+  $(ICONS_CHOICE)/napster.xpm \
+  $(ICONS_CHOICE)/slsk.xpm \
+  $(ICONS_CHOICE)/unknown.xpm \
+  $(ICONS_CHOICE)/downloading.xpm \
+  $(ICONS_CHOICE)/connect_y.xpm \
+  $(ICONS_CHOICE)/connect_m.xpm \
+  $(ICONS_CHOICE)/connect_n.xpm \
+  $(ICONS_CHOICE)/removedhost.xpm \
+  $(ICONS_CHOICE)/blacklistedhost.xpm \
+  $(ICONS_CHOICE)/files_listed.xpm \
+  $(ICONS_CHOICE)/server_c_high.xpm \
+  $(ICONS_CHOICE)/server_c_low.xpm \
+  $(ICONS_CHOICE)/server_ci.xpm \
+  $(ICONS_CHOICE)/server_nc.xpm \
+  $(ICONS_CHOICE)/toggle_display_all_servers.xpm \
+  $(ICONS_CHOICE)/view_pending_slots.xpm \
+  $(ICONS_CHOICE)/add_server.xpm \
+  $(ICONS_CHOICE)/add_shared_directory.xpm \
+  $(ICONS_CHOICE)/download_directory.xpm \
+  $(ICONS_CHOICE)/friend_user.xpm \
+  $(ICONS_CHOICE)/contact_user.xpm \
+  $(ICONS_CHOICE)/normal_user.xpm \
+  $(ICONS_CHOICE)/priority_0.xpm \
+  $(ICONS_CHOICE)/priority_1.xpm \
+  $(ICONS_CHOICE)/priority_2.xpm \
+  $(ICONS_CHOICE)/mimetype_binary.xpm \
+  $(ICONS_CHOICE)/mimetype_cdimage.xpm \
+  $(ICONS_CHOICE)/mimetype_debian.xpm \
+  $(ICONS_CHOICE)/mimetype_html.xpm \
+  $(ICONS_CHOICE)/mimetype_images.xpm \
+  $(ICONS_CHOICE)/mimetype_java.xpm \
+  $(ICONS_CHOICE)/mimetype_pdf.xpm \
+  $(ICONS_CHOICE)/mimetype_postscript.xpm \
+  $(ICONS_CHOICE)/mimetype_real.xpm \
+  $(ICONS_CHOICE)/mimetype_recycled.xpm \
+  $(ICONS_CHOICE)/mimetype_rpm.xpm \
+  $(ICONS_CHOICE)/mimetype_shellscript.xpm \
+  $(ICONS_CHOICE)/mimetype_soffice.xpm \
+  $(ICONS_CHOICE)/mimetype_sound.xpm \
+  $(ICONS_CHOICE)/mimetype_source.xpm \
+  $(ICONS_CHOICE)/mimetype_spreadsheet.xpm \
+  $(ICONS_CHOICE)/mimetype_tex.xpm \
+  $(ICONS_CHOICE)/mimetype_text.xpm \
+  $(ICONS_CHOICE)/mimetype_tgz.xpm \
+  $(ICONS_CHOICE)/mimetype_video.xpm \
+  $(ICONS_CHOICE)/mimetype_wordprocessing.xpm \
+  $(ICONS_CHOICE)/mimetype_unknown.xpm \
+  $(ICONS_CHOICE)/tree_closed.xpm \
+  $(ICONS_CHOICE)/tree_opened.xpm \
+  $(ICONS_CHOICE)/bt_net_on.xpm \
+  $(ICONS_CHOICE)/dc_net_on.xpm \
+  $(ICONS_CHOICE)/ed2k_net_on.xpm \
+  $(ICONS_CHOICE)/ftt_net_on.xpm \
+  $(ICONS_CHOICE)/gnut_net_on.xpm \
+  $(ICONS_CHOICE)/nap_net_on.xpm \
+  $(ICONS_CHOICE)/slsk_net_on.xpm \
+  $(ICONS_CHOICE)/mld_tux_on.xpm
 
 NEWGUI_SMALL_ICONS= \
   icons/small/add_to_friends_small.xpm icons/small/cancel_small.xpm \
@@ -969,20 +1136,20 @@
   icons/small/view_users_small.xpm
 
 OLDGUI_ICONS= \
-  icons/$(ICONS_CHOICE)/add_to_friends.xpm \
-  icons/$(ICONS_CHOICE)/cancel.xpm icons/$(ICONS_CHOICE)/connect_more.xpm \
-  icons/$(ICONS_CHOICE)/connect.xpm icons/$(ICONS_CHOICE)/disconnect.xpm \
-  icons/$(ICONS_CHOICE)/download.xpm \
-  icons/$(ICONS_CHOICE)/edit_mp3.xpm icons/$(ICONS_CHOICE)/extend_search.xpm \
-  icons/$(ICONS_CHOICE)/get_format.xpm \
-  icons/$(ICONS_CHOICE)/local_search.xpm icons/$(ICONS_CHOICE)/preview.xpm \
-  icons/$(ICONS_CHOICE)/refres.xpm \
-  icons/$(ICONS_CHOICE)/save_all.xpm icons/$(ICONS_CHOICE)/save_as.xpm \
-  icons/$(ICONS_CHOICE)/save.xpm \
-  icons/$(ICONS_CHOICE)/trash.xpm icons/$(ICONS_CHOICE)/verify_chunks.xpm \
-  icons/$(ICONS_CHOICE)/view_users.xpm \
-  icons/$(ICONS_CHOICE)/pause_resume.xpm \
-  icons/$(ICONS_CHOICE)/remove_all_friends.xpm 
+  $(ICONS_CHOICE)/add_to_friends.xpm \
+  $(ICONS_CHOICE)/cancel.xpm $(ICONS_CHOICE)/connect_more.xpm \
+  $(ICONS_CHOICE)/connect.xpm $(ICONS_CHOICE)/disconnect.xpm \
+  $(ICONS_CHOICE)/download.xpm \
+  $(ICONS_CHOICE)/edit_mp3.xpm $(ICONS_CHOICE)/extend_search.xpm \
+  $(ICONS_CHOICE)/get_format.xpm \
+  $(ICONS_CHOICE)/local_search.xpm $(ICONS_CHOICE)/preview.xpm \
+  $(ICONS_CHOICE)/refres.xpm \
+  $(ICONS_CHOICE)/save_all.xpm $(ICONS_CHOICE)/save_as.xpm \
+  $(ICONS_CHOICE)/save.xpm \
+  $(ICONS_CHOICE)/trash.xpm $(ICONS_CHOICE)/verify_chunks.xpm \
+  $(ICONS_CHOICE)/view_users.xpm \
+  $(ICONS_CHOICE)/pause_resume.xpm \
+  $(ICONS_CHOICE)/remove_all_friends.xpm 
 
 OLDGUI_SMALL_ICONS= \
   icons/small/add_to_friends_small.xpm icons/small/cancel_small.xpm \
@@ -998,16 +1165,55 @@
 ICONS= $($(GUI)_ICONS)
 SMALL_ICONS= $($(GUI)_SMALL_ICONS)
 
-ALL_ICONS=$(foreach file, $(ICONS),   $(basename $(file)).ml_icons)
-ALL_ICONS_SRCS=$(foreach file, $(ICONS),   $(basename $(file))_xpm.ml)
+ifeq ("$(USE_GTK2)", "yes")
+  ALL_ICONS=$(foreach file, $(ICONS),   $(basename $(file)).ml_icons)
+  ALL_ICONS_SRCS=$(foreach file, $(ICONS),   $(basename $(file))_svg.ml)
+else
+  ALL_ICONS=$(foreach file, $(ICONS),   $(basename $(file)).ml_icons)
+  ALL_ICONS_SRCS=$(foreach file, $(ICONS),   $(basename $(file))_xpm.ml)
+endif
 
 $(ALL_ICONS_SRCS): $(ALL_ICONS)
 
-GUI_BASE_SRCS= \
-  $(SRC_GUI)/gui_messages.ml   $(SRC_GUI)/gui_global.ml \
-  $(SRC_GUI)/gui_columns.ml \
-  $(SRC_GUI)/gui_keys.ml \
-  $(SRC_GUI)/gui_options.ml
+ifeq ("$(USE_GTK2)", "yes")
+  GUI_BASE_SRCS= \
+    $(SRC_GUI)/guiUtf8.ml      $(SRC_GUI)/guiMessages.ml \
+    $(SRC_GUI)/guiColumns.ml   $(SRC_GUI)/guiOptions.ml \
+    $(SRC_GUI)/guiArt.ml       $(SRC_GUI)/guiTools.ml \
+    $(SRC_GUI)/guiTypes2.ml    $(SRC_GUI)/guiTemplates.ml \
+    $(SRC_GUI)/configWindow.ml
+else
+  GUI_BASE_SRCS= \
+    $(SRC_GUI)/gui_messages.ml   $(SRC_GUI)/gui_global.ml \
+    $(SRC_GUI)/gui_columns.ml    $(SRC_GUI)/gui_keys.ml \
+    $(SRC_GUI)/gui_options.ml
+endif
+
+GTK2GUI_SRCS=  \
+  $(SRC_GUI)/guiGlobal.ml \
+  $(SRC_GUI)/guiMisc.ml \
+  $(SRC_GUI)/guiCom.ml \
+  $(SRC_GUI)/guiStatusBar.ml \
+  $(SRC_GUI)/guiUsers.ml \
+  $(SRC_GUI)/guiResults.ml \
+  $(SRC_GUI)/guiInfoWindow.ml \
+  $(SRC_GUI)/guiDownloads.ml \
+  $(SRC_GUI)/guiServers.ml \
+  $(SRC_GUI)/guiQueries.ml \
+  $(SRC_GUI)/guiRooms.ml \
+  $(SRC_GUI)/guiConsole.ml \
+  $(SRC_GUI)/guiFriends.ml \
+  $(SRC_GUI)/guiUploads.ml \
+  $(SRC_GUI)/guiNetworks.ml \
+  $(IM_GUI_CORE) \
+  $(SRC_GUI)/guiConfig.ml \
+  $(SRC_GUI)/guiWindow.ml
+
+ifeq ("$(OS_FILES2)", "mingw")
+  GTK2GUI_SRCS += $(SRC_GUI)/win32/systraystubs.c $(SRC_GUI)/win32/systray.ml
+endif
+
+GTK2GUI_SRCS += $(SRC_GUI)/guiMain.ml
 
 NEWGUI_SRCS=  \
   $(SRC_PROGRESS)/gui_progress.ml \
@@ -1071,15 +1277,30 @@
 MLDONKEYGUI2_SRCS= $(GUI2_SRCS) $(MAIN_SRCS)
 
 MLDONKEY_IM_CMXA= cdk.cmxa gmisc.cmxa common.cmxa icons.cmxa guibase.cmxa
-MLDONKEY_IM_SRCS= \
-   $(IM_GUI_CORE) $(IM)/gui_im_main.ml  $(MAIN_SRCS)
 
-STARTER_SRCS= $(SRC_GUI)/gui_starter.ml
-STARTER_CMXA=cdk.cmxa
+ifeq ("$(USE_GTK2)", "yes")
+  MLDONKEY_IM_SRCS= $(IM_GUI_CORE) $(IM_GUI)/guiImMain.ml  $(MAIN_SRCS)
+else
+  MLDONKEY_IM_SRCS= $(IM_GUI_CORE) $(IM_GUI)/gui_im_main.ml  $(MAIN_SRCS)
+endif
+
+ifeq ("$(USE_GTK2)", "yes")
+  STARTER_CMXA=cdk.cmxa gmisc.cmxa common.cmxa icons.cmxa guibase.cmxa
+  STARTER_SRCS= $(SRC_GUI)/guiStarter.ml
+else
+  STARTER_CMXA=cdk.cmxa
+  STARTER_SRCS= $(SRC_GUI)/gui_starter.ml
+endif
 
 INSTALLER_CMXA= cdk.cmxa gmisc.cmxa common.cmxa icons.cmxa guibase.cmxa
-INSTALLER_SRCS= \
-  $(SRC_GUI)/gui_installer_base.zog $(SRC_GUI)/gui_installer.ml
+
+ifeq ("$(USE_GTK2)", "yes")
+  INSTALLER_SRCS= \
+    $(SRC_GUI)/gui_installer_base.ml  $(SRC_GUI)/gui_installer.ml
+else
+  INSTALLER_SRCS= \
+    $(SRC_GUI)/gui_installer_base.zog $(SRC_GUI)/gui_installer.ml
+endif
 
 MLPROGRESS_CMXA= cdk.cmxa gmisc.cmxa common.cmxa icons.cmxa guibase.cmxa
 
@@ -1093,18 +1314,28 @@
 
 #######################################################################
 
-
 CHAT_EXE_SRCS= \
-        $(CHAT)/chat_data.ml\
-        $(CHAT)/chat_icons.ml\
-        $(CHAT_GUI)/chat_gui_base.ml\
-        $(CHAT_GUI)/chat_gui.ml\
-        $(CHAT)/chat_app.ml \
-        $(CHAT)/mlchat.ml \
-        $(CHAT)/chat_args.ml \
-	$(CHAT)/chat_main.ml
+  $(CHAT)/chat_data.ml \
+  $(CHAT)/chat_args.ml
+
+ifeq ("$(USE_GTK2)", "yes")
+  CHAT_EXE_SRCS += $(CHAT_GUI)/chat_art.ml $(CHAT_GUI)/chat_configwin.ml 
+endif
+
+CHAT_EXE_SRCS += \
+  $(CHAT)/chat_icons.ml \
+  $(CHAT_GUI)/chat_gui_base.ml \
+  $(CHAT_GUI)/chat_gui.ml \
+  $(CHAT_GUI)/chat_app.ml \
+  $(CHAT)/mlchat.ml \
+  $(CHAT_GUI)/chat_main.ml
+
+ifeq ("$(USE_GTK2)", "yes")
+  MLCHAT_CMXA= cdk.cmxa gmisc.cmxa icons.cmxa
+else
+  MLCHAT_CMXA= cdk.cmxa gmisc.cmxa
+endif
 
-MLCHAT_CMXA= cdk.cmxa gmisc.cmxa
 MLCHAT_SRCS=  $(CHAT_SRCS) $(CHAT_EXE_SRCS)
 
 
@@ -1118,9 +1349,8 @@
 
 #### IM stuff is now automatically included in the GUI
 
+SUBDIRS += $(IM) $(IM)/yahoo $(IM)/irc $(IM_GUI)
 
-SUBDIRS += $(IM) $(IM)/yahoo  $(IM)/irc
-  
 IM_CORE += $(IM)/imTypes.ml $(IM)/imEvent.ml \
    $(IM)/imProtocol.ml $(IM)/imIdentity.ml $(IM)/imAccount.ml \
    $(IM)/imChat.ml $(IM)/imRoom.ml \
@@ -1128,7 +1358,12 @@
 
 IM_CORE +=  $(IM)/irc/irc.ml
 
-IM_GUI_CORE += $(IM)/gui_im_base.ml $(IM)/gui_im.ml
+ifeq ("$(USE_GTK2)", "yes")
+  IM_GUI_CORE += $(IM_GUI)/guiImAccounts.ml $(IM_GUI)/guiImChat.ml \
+                 $(IM_GUI)/guiImRooms.ml    $(IM_GUI)/guiIm.ml
+else
+  IM_GUI_CORE += $(IM_GUI)/gui_im_base.ml $(IM_GUI)/gui_im.ml
+endif
 
 TARGETS += mlim
 
@@ -1741,8 +1976,11 @@
 libcdk_SRCS=  $(CDK_SRCS) $(LIB_SRCS) $(NET_SRCS) $(MP3TAG_SRCS)
 libcommon_SRCS= $(CHAT_SRCS) $(COMMON_SRCS)
 libclient_SRCS= $(COMMON_CLIENT_SRCS)
-libgmisc_SRCS=  $(CONFIGWIN_SRCS) $(MP3TAGUI_SRCS) \
-  $(OKEY_SRCS) $(GPATTERN_SRCS)
+ifeq ("$(USE_GTK2)", "yes")
+  libgmisc_SRCS=
+else
+  libgmisc_SRCS= $(CONFIGWIN_SRCS) $(MP3TAGUI_SRCS) $(OKEY_SRCS) $(GPATTERN_SRCS)
+endif
 libguibase_SRCS= $(IM_CORE) $(GUI_BASE_SRCS)
 libgui_SRCS=   $(GUI_SRCS)
 libgui3_SRCS=   $(GUI3_SRCS)
@@ -2120,8 +2358,8 @@
 
 
 ifneq ("$(BUILD_NEWGUI)", "yes")
-
- 
+ ifneq ("$(USE_GTK2)", "yes")
+   
 MLDONKEYGUI2_ZOG := $(filter %.zog, $(MLDONKEYGUI2_SRCS)) 
 MLDONKEYGUI2_MLL := $(filter %.mll, $(MLDONKEYGUI2_SRCS)) 
 MLDONKEYGUI2_MLY := $(filter %.mly, $(MLDONKEYGUI2_SRCS)) 
@@ -2148,7 +2386,7 @@
 mlgui2.static:  $(MLDONKEYGUI2_OBJS) $(MLDONKEYGUI2_CMXS)  $(MLDONKEYGUI2_CMXAS)
 	$(OCAMLOPT) -linkall $(PLUGIN_FLAG) -ccopt -static -o $@ $(MLDONKEYGUI2_OBJS) $(LIBS_opt) $(LIBS_flags)  $(GTK_LIBS_flags)  $(GTK_STATIC_LIBS_opt) -I build $(MLDONKEYGUI2_CMXAS) $(MLDONKEYGUI2_CMXS)
 
-
+ endif
 endif
 
 
@@ -3124,6 +3362,32 @@
 	$(OCAMLOPT) -linkall $(PLUGIN_FLAG) -ccopt -static -o $@ $(TESTRSS_OBJS) $(LIBS_opt) $(LIBS_flags)  $(_LIBS_flags)  $(_STATIC_LIBS_opt) -I build $(TESTRSS_CMXAS) $(TESTRSS_CMXS)
 
 
+SVG_CONVERTER_ZOG := $(filter %.zog, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_MLL := $(filter %.mll, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_MLY := $(filter %.mly, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_ML4 := $(filter %.ml4, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_MLT := $(filter %.mlt, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_MLP := $(filter %.mlcpp, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_ML := $(filter %.ml %.mll %.zog %.mly %.ml4 %.mlt %.mlcpp, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_C := $(filter %.c, $(SVG_CONVERTER_SRCS)) 
+SVG_CONVERTER_CMOS=$(foreach file, $(SVG_CONVERTER_ML),   $(basename $(file)).cmo) 
+SVG_CONVERTER_CMXS=$(foreach file, $(SVG_CONVERTER_ML),   $(basename $(file)).cmx) 
+SVG_CONVERTER_OBJS=$(foreach file, $(SVG_CONVERTER_C),   $(basename $(file)).o)    
+
+SVG_CONVERTER_CMXAS := $(foreach file, $(SVG_CONVERTER_CMXA),   build/$(basename $(file)).cmxa)
+SVG_CONVERTER_CMAS=$(foreach file, $(SVG_CONVERTER_CMXA),   build/$(basename $(file)).cma)    
+
+TMPSOURCES += $(SVG_CONVERTER_ML4:.ml4=.ml) $(SVG_CONVERTER_MLT:.mlt=.ml) $(SVG_CONVERTER_MLP:.mlcpp=.ml) $(SVG_CONVERTER_MLL:.mll=.ml) $(SVG_CONVERTER_MLY:.mly=.ml) $(SVG_CONVERTER_MLY:.mly=.mli) $(SVG_CONVERTER_ZOG:.zog=.ml) 
+ 
+svg_converter: $(SVG_CONVERTER_OBJS) $(SVG_CONVERTER_CMXS) $(SVG_CONVERTER_CMXAS)
+	$(OCAMLOPT) -linkall $(PLUGIN_FLAG) -o $@  $(SVG_CONVERTER_OBJS) $(LIBS_opt) $(LIBS_flags) $(_LIBS_opt) $(_LIBS_flags) -I build $(SVG_CONVERTER_CMXAS) $(SVG_CONVERTER_CMXS) 
+ 
+svg_converter.byte: $(SVG_CONVERTER_OBJS) $(SVG_CONVERTER_CMOS)  $(SVG_CONVERTER_CMAS)
+	$(OCAMLC) -linkall -o $@  $(SVG_CONVERTER_OBJS) $(LIBS_byte) $(LIBS_flags)  $(_LIBS_byte) $(_LIBS_flags) -I build $(SVG_CONVERTER_CMAS) $(SVG_CONVERTER_CMOS) 
+ 
+svg_converter.static:  $(SVG_CONVERTER_OBJS) $(SVG_CONVERTER_CMXS)  $(SVG_CONVERTER_CMXAS)
+	$(OCAMLOPT) -linkall $(PLUGIN_FLAG) -ccopt -static -o $@ $(SVG_CONVERTER_OBJS) $(LIBS_opt) $(LIBS_flags)  $(_LIBS_flags)  $(_STATIC_LIBS_opt) -I build $(SVG_CONVERTER_CMXAS) $(SVG_CONVERTER_CMXS)
+
 
 
 #######################################################################
@@ -3146,10 +3410,10 @@
 TOP_CMAS=$(foreach file, $(TOP_CMXA),   build/$(basename $(file)).cma)    
 
 TMPSOURCES += $(TOP_ML4:.ml4=.ml) $(TOP_MLL:.mll=.ml) $(TOP_MLY:.mly=.ml) $(TOP_MLY:.mly=.mli) $(TOP_ZOG:.zog=.ml) 
- 
+
 mldonkeytop: $(TOP_OBJS) $(TOP_CMOS) $(TOP_CMAS)
 	$(OCAMLMKTOP) -linkall $(PLUGIN_FLAG) -o $@  $(TOP_OBJS) $(LIBS_byte) $(LIBS_flags) $(_LIBS_byte) $(_LIBS_flags) -I build $(TOP_CMAS) $(TOP_CMOS) 
- 
+
 
 
 #######################################################################
@@ -3255,6 +3519,8 @@
 	rm -f icons/kde/*.ml
 	rm -f icons/mldonkey/*.ml_icons
 	rm -f icons/mldonkey/*.ml
+	rm -f src/gtk2/rsvg/*.ml_icons
+	rm -f src/gtk2/rsvg/*.ml
 	rm -rf config/autom4te.cache/
 	rm -rf mldonkey-distrib*
 	rm -f mldonkey-$(CURRENT_VERSION).*
@@ -3289,6 +3555,11 @@
 		$(OCAMLDEP) $(OCAMLDEP_OPTIONS) $(patsubst -I +labl$(GTK),,$(INCLUDES)) $$i/*.ml $$i/*.mli  >> .depend; \
 		$(OCAMLPP) $$i/*.mlt  >> .depend; \
 	done)
+	if test "$(COMPILE_GUI)" = "yes"; then \
+		if test "$(USE_GTK2)" = "yes"; then \
+			$(MAKE) svg_converter; \
+		fi; \
+	fi
 
 $(LOCAL)/ocamlopt-$(REQUIRED_OCAML)/Makefile: patches/ocamlopt-$(REQUIRED_OCAML).tar.gz
 	rm -rf $(LOCAL)/ocamlopt-$(REQUIRED_OCAML)
@@ -3300,9 +3571,9 @@
 $(LOCAL)/ocamlopt-$(REQUIRED_OCAML)/ocamlopt: $(LOCAL)/ocamlopt-$(REQUIRED_OCAML)/Makefile
 	cd $(LOCAL)/ocamlopt-$(REQUIRED_OCAML); $(MAKE)
 
-utils: ed2k_hash make_torrent copysources get_range subconv dp500
-utils.byte: ed2k_hash.byte make_torrent.byte copysources.byte get_range.byte subconv.byte dp500.byte
-utils.static: ed2k_hash.static make_torrent.static copysources.static get_range.static subconv.static dp500.static
+utils: svg_converter ed2k_hash make_torrent copysources get_range subconv dp500
+utils.byte: svg_converter.byte ed2k_hash.byte make_torrent.byte copysources.byte get_range.byte subconv.byte dp500.byte
+utils.static: svg_converter.static ed2k_hash.static make_torrent.static copysources.static get_range.static subconv.static dp500.static
 
 #######################################################################
 
@@ -3490,7 +3761,7 @@
 
 -include .depend
 
-.SUFFIXES: .mli .ml .cmx .cmo .o .c .cmi .mll .mly .zog .plugindep .xpm .ml .cc .ml_icons .ml4 .mlt .mlii .mlcpp
+.SUFFIXES: .mli .ml .cmx .cmo .o .c .cmi .mll .mly .zog .plugindep .xpm .ml .cc .ml_icons .ml4 .mlt .mlii .mlcpp .svg
 
 .mli.cmi :
 	$(OCAMLC) $(OFLAGS) $(INCLUDES) -c $<
@@ -3512,6 +3783,10 @@
 	echo "|]" >> $@
 	cp -f $@ $*_xpm.ml
 
+.svg.ml_icons :
+	cp $< $@
+	./svg_converter $@
+
 .ml.cmx :
 	$(OCAMLOPT) $(PLUGIN_FLAG) $(OFLAGS) $(INCLUDES) -c $<
 
@@ -3541,7 +3816,7 @@
 	$(OCAMLPP) -pp $< > $@
 
 .c.o :
-	$(OCAMLC) -ccopt "-I $(OCAML_SRC)/byterun -o $*.o" -ccopt "$(CFLAGS)" -c $<
+	$(OCAMLC) -verbose -ccopt "-I $(OCAML_SRC)/byterun -o $*.o" -ccopt "$(CFLAGS)" $(LIBS_flags) -c $<
 
 .cc.o :
 	$(CXX) $(CXX_FLAGS) -o $*.o $(CFLAGS) -c $<
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./config/Makefile.in ./config/Makefile.in
--- ./config/Makefile.in	2005-03-02 20:28:12.000000000 +0100
+++ ./config/Makefile.in	2005-03-06 23:40:11.000000000 +0100
@@ -1021,108 +1021,108 @@
   $(ICONS_CHOICE)/emoticon_wink.svg
 
 NEWGUI_ICONS= \
-  icons/$(ICONS_CHOICE)/extend_search.xpm \
-  icons/$(ICONS_CHOICE)/local_search.xpm \
-  icons/$(ICONS_CHOICE)/trash.xpm \
-  icons/$(ICONS_CHOICE)/subscribe_search.xpm \
-  icons/$(ICONS_CHOICE)/submit_search.xpm \
-  icons/$(ICONS_CHOICE)/close_search.xpm \
-  icons/$(ICONS_CHOICE)/stop_search.xpm \
-  icons/$(ICONS_CHOICE)/nbk_networks_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_networks_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_servers_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_servers_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_downloads_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_downloads_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_friends_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_friends_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_search_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_search_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_rooms_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_rooms_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_uploads_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_uploads_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_console_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_console_menu.xpm \
-  icons/$(ICONS_CHOICE)/nbk_graphs_on.xpm \
-  icons/$(ICONS_CHOICE)/nbk_graphs_menu.xpm \
-  icons/$(ICONS_CHOICE)/about.xpm \
-  icons/$(ICONS_CHOICE)/im.xpm \
-  icons/$(ICONS_CHOICE)/settings.xpm \
-  icons/$(ICONS_CHOICE)/exit.xpm \
-  icons/$(ICONS_CHOICE)/gui.xpm \
-  icons/$(ICONS_CHOICE)/kill_core.xpm \
-  icons/$(ICONS_CHOICE)/splash_screen.xpm \
-  icons/$(ICONS_CHOICE)/album_search.xpm \
-  icons/$(ICONS_CHOICE)/movie_search.xpm \
-  icons/$(ICONS_CHOICE)/mp3_search.xpm \
-  icons/$(ICONS_CHOICE)/complex_search.xpm \
-  icons/$(ICONS_CHOICE)/sharereactor_search.xpm \
-  icons/$(ICONS_CHOICE)/jigle_search.xpm \
-  icons/$(ICONS_CHOICE)/freedb_search.xpm \
-  icons/$(ICONS_CHOICE)/imdb_search.xpm \
-  icons/$(ICONS_CHOICE)/bt.xpm \
-  icons/$(ICONS_CHOICE)/dc.xpm \
-  icons/$(ICONS_CHOICE)/ed2k.xpm \
-  icons/$(ICONS_CHOICE)/fasttrack.xpm \
-  icons/$(ICONS_CHOICE)/gnutella.xpm \
-  icons/$(ICONS_CHOICE)/napster.xpm \
-  icons/$(ICONS_CHOICE)/slsk.xpm \
-  icons/$(ICONS_CHOICE)/unknown.xpm \
-  icons/$(ICONS_CHOICE)/downloading.xpm \
-  icons/$(ICONS_CHOICE)/connect_y.xpm \
-  icons/$(ICONS_CHOICE)/connect_m.xpm \
-  icons/$(ICONS_CHOICE)/connect_n.xpm \
-  icons/$(ICONS_CHOICE)/removedhost.xpm \
-  icons/$(ICONS_CHOICE)/blacklistedhost.xpm \
-  icons/$(ICONS_CHOICE)/files_listed.xpm \
-  icons/$(ICONS_CHOICE)/server_c_high.xpm \
-  icons/$(ICONS_CHOICE)/server_c_low.xpm \
-  icons/$(ICONS_CHOICE)/server_ci.xpm \
-  icons/$(ICONS_CHOICE)/server_nc.xpm \
-  icons/$(ICONS_CHOICE)/toggle_display_all_servers.xpm \
-  icons/$(ICONS_CHOICE)/view_pending_slots.xpm \
-  icons/$(ICONS_CHOICE)/add_server.xpm \
-  icons/$(ICONS_CHOICE)/add_shared_directory.xpm \
-  icons/$(ICONS_CHOICE)/download_directory.xpm \
-  icons/$(ICONS_CHOICE)/friend_user.xpm \
-  icons/$(ICONS_CHOICE)/contact_user.xpm \
-  icons/$(ICONS_CHOICE)/normal_user.xpm \
-  icons/$(ICONS_CHOICE)/priority_0.xpm \
-  icons/$(ICONS_CHOICE)/priority_1.xpm \
-  icons/$(ICONS_CHOICE)/priority_2.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_binary.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_cdimage.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_debian.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_html.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_images.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_java.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_pdf.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_postscript.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_real.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_recycled.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_rpm.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_shellscript.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_soffice.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_sound.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_source.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_spreadsheet.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_tex.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_text.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_tgz.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_video.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_wordprocessing.xpm \
-  icons/$(ICONS_CHOICE)/mimetype_unknown.xpm \
-  icons/$(ICONS_CHOICE)/tree_closed.xpm \
-  icons/$(ICONS_CHOICE)/tree_opened.xpm \
-  icons/$(ICONS_CHOICE)/bt_net_on.xpm \
-  icons/$(ICONS_CHOICE)/dc_net_on.xpm \
-  icons/$(ICONS_CHOICE)/ed2k_net_on.xpm \
-  icons/$(ICONS_CHOICE)/ftt_net_on.xpm \
-  icons/$(ICONS_CHOICE)/gnut_net_on.xpm \
-  icons/$(ICONS_CHOICE)/nap_net_on.xpm \
-  icons/$(ICONS_CHOICE)/slsk_net_on.xpm \
-  icons/$(ICONS_CHOICE)/mld_tux_on.xpm
+  $(ICONS_CHOICE)/extend_search.xpm \
+  $(ICONS_CHOICE)/local_search.xpm \
+  $(ICONS_CHOICE)/trash.xpm \
+  $(ICONS_CHOICE)/subscribe_search.xpm \
+  $(ICONS_CHOICE)/submit_search.xpm \
+  $(ICONS_CHOICE)/close_search.xpm \
+  $(ICONS_CHOICE)/stop_search.xpm \
+  $(ICONS_CHOICE)/nbk_networks_on.xpm \
+  $(ICONS_CHOICE)/nbk_networks_menu.xpm \
+  $(ICONS_CHOICE)/nbk_servers_on.xpm \
+  $(ICONS_CHOICE)/nbk_servers_menu.xpm \
+  $(ICONS_CHOICE)/nbk_downloads_on.xpm \
+  $(ICONS_CHOICE)/nbk_downloads_menu.xpm \
+  $(ICONS_CHOICE)/nbk_friends_on.xpm \
+  $(ICONS_CHOICE)/nbk_friends_menu.xpm \
+  $(ICONS_CHOICE)/nbk_search_on.xpm \
+  $(ICONS_CHOICE)/nbk_search_menu.xpm \
+  $(ICONS_CHOICE)/nbk_rooms_on.xpm \
+  $(ICONS_CHOICE)/nbk_rooms_menu.xpm \
+  $(ICONS_CHOICE)/nbk_uploads_on.xpm \
+  $(ICONS_CHOICE)/nbk_uploads_menu.xpm \
+  $(ICONS_CHOICE)/nbk_console_on.xpm \
+  $(ICONS_CHOICE)/nbk_console_menu.xpm \
+  $(ICONS_CHOICE)/nbk_graphs_on.xpm \
+  $(ICONS_CHOICE)/nbk_graphs_menu.xpm \
+  $(ICONS_CHOICE)/about.xpm \
+  $(ICONS_CHOICE)/im.xpm \
+  $(ICONS_CHOICE)/settings.xpm \
+  $(ICONS_CHOICE)/exit.xpm \
+  $(ICONS_CHOICE)/gui.xpm \
+  $(ICONS_CHOICE)/kill_core.xpm \
+  $(ICONS_CHOICE)/splash_screen.xpm \
+  $(ICONS_CHOICE)/album_search.xpm \
+  $(ICONS_CHOICE)/movie_search.xpm \
+  $(ICONS_CHOICE)/mp3_search.xpm \
+  $(ICONS_CHOICE)/complex_search.xpm \
+  $(ICONS_CHOICE)/sharereactor_search.xpm \
+  $(ICONS_CHOICE)/jigle_search.xpm \
+  $(ICONS_CHOICE)/freedb_search.xpm \
+  $(ICONS_CHOICE)/imdb_search.xpm \
+  $(ICONS_CHOICE)/bt.xpm \
+  $(ICONS_CHOICE)/dc.xpm \
+  $(ICONS_CHOICE)/ed2k.xpm \
+  $(ICONS_CHOICE)/fasttrack.xpm \
+  $(ICONS_CHOICE)/gnutella.xpm \
+  $(ICONS_CHOICE)/napster.xpm \
+  $(ICONS_CHOICE)/slsk.xpm \
+  $(ICONS_CHOICE)/unknown.xpm \
+  $(ICONS_CHOICE)/downloading.xpm \
+  $(ICONS_CHOICE)/connect_y.xpm \
+  $(ICONS_CHOICE)/connect_m.xpm \
+  $(ICONS_CHOICE)/connect_n.xpm \
+  $(ICONS_CHOICE)/removedhost.xpm \
+  $(ICONS_CHOICE)/blacklistedhost.xpm \
+  $(ICONS_CHOICE)/files_listed.xpm \
+  $(ICONS_CHOICE)/server_c_high.xpm \
+  $(ICONS_CHOICE)/server_c_low.xpm \
+  $(ICONS_CHOICE)/server_ci.xpm \
+  $(ICONS_CHOICE)/server_nc.xpm \
+  $(ICONS_CHOICE)/toggle_display_all_servers.xpm \
+  $(ICONS_CHOICE)/view_pending_slots.xpm \
+  $(ICONS_CHOICE)/add_server.xpm \
+  $(ICONS_CHOICE)/add_shared_directory.xpm \
+  $(ICONS_CHOICE)/download_directory.xpm \
+  $(ICONS_CHOICE)/friend_user.xpm \
+  $(ICONS_CHOICE)/contact_user.xpm \
+  $(ICONS_CHOICE)/normal_user.xpm \
+  $(ICONS_CHOICE)/priority_0.xpm \
+  $(ICONS_CHOICE)/priority_1.xpm \
+  $(ICONS_CHOICE)/priority_2.xpm \
+  $(ICONS_CHOICE)/mimetype_binary.xpm \
+  $(ICONS_CHOICE)/mimetype_cdimage.xpm \
+  $(ICONS_CHOICE)/mimetype_debian.xpm \
+  $(ICONS_CHOICE)/mimetype_html.xpm \
+  $(ICONS_CHOICE)/mimetype_images.xpm \
+  $(ICONS_CHOICE)/mimetype_java.xpm \
+  $(ICONS_CHOICE)/mimetype_pdf.xpm \
+  $(ICONS_CHOICE)/mimetype_postscript.xpm \
+  $(ICONS_CHOICE)/mimetype_real.xpm \
+  $(ICONS_CHOICE)/mimetype_recycled.xpm \
+  $(ICONS_CHOICE)/mimetype_rpm.xpm \
+  $(ICONS_CHOICE)/mimetype_shellscript.xpm \
+  $(ICONS_CHOICE)/mimetype_soffice.xpm \
+  $(ICONS_CHOICE)/mimetype_sound.xpm \
+  $(ICONS_CHOICE)/mimetype_source.xpm \
+  $(ICONS_CHOICE)/mimetype_spreadsheet.xpm \
+  $(ICONS_CHOICE)/mimetype_tex.xpm \
+  $(ICONS_CHOICE)/mimetype_text.xpm \
+  $(ICONS_CHOICE)/mimetype_tgz.xpm \
+  $(ICONS_CHOICE)/mimetype_video.xpm \
+  $(ICONS_CHOICE)/mimetype_wordprocessing.xpm \
+  $(ICONS_CHOICE)/mimetype_unknown.xpm \
+  $(ICONS_CHOICE)/tree_closed.xpm \
+  $(ICONS_CHOICE)/tree_opened.xpm \
+  $(ICONS_CHOICE)/bt_net_on.xpm \
+  $(ICONS_CHOICE)/dc_net_on.xpm \
+  $(ICONS_CHOICE)/ed2k_net_on.xpm \
+  $(ICONS_CHOICE)/ftt_net_on.xpm \
+  $(ICONS_CHOICE)/gnut_net_on.xpm \
+  $(ICONS_CHOICE)/nap_net_on.xpm \
+  $(ICONS_CHOICE)/slsk_net_on.xpm \
+  $(ICONS_CHOICE)/mld_tux_on.xpm
 
 NEWGUI_SMALL_ICONS= \
   icons/small/add_to_friends_small.xpm icons/small/cancel_small.xpm \
@@ -1136,20 +1136,20 @@
   icons/small/view_users_small.xpm
 
 OLDGUI_ICONS= \
-  icons/$(ICONS_CHOICE)/add_to_friends.xpm \
-  icons/$(ICONS_CHOICE)/cancel.xpm icons/$(ICONS_CHOICE)/connect_more.xpm \
-  icons/$(ICONS_CHOICE)/connect.xpm icons/$(ICONS_CHOICE)/disconnect.xpm \
-  icons/$(ICONS_CHOICE)/download.xpm \
-  icons/$(ICONS_CHOICE)/edit_mp3.xpm icons/$(ICONS_CHOICE)/extend_search.xpm \
-  icons/$(ICONS_CHOICE)/get_format.xpm \
-  icons/$(ICONS_CHOICE)/local_search.xpm icons/$(ICONS_CHOICE)/preview.xpm \
-  icons/$(ICONS_CHOICE)/refres.xpm \
-  icons/$(ICONS_CHOICE)/save_all.xpm icons/$(ICONS_CHOICE)/save_as.xpm \
-  icons/$(ICONS_CHOICE)/save.xpm \
-  icons/$(ICONS_CHOICE)/trash.xpm icons/$(ICONS_CHOICE)/verify_chunks.xpm \
-  icons/$(ICONS_CHOICE)/view_users.xpm \
-  icons/$(ICONS_CHOICE)/pause_resume.xpm \
-  icons/$(ICONS_CHOICE)/remove_all_friends.xpm 
+  $(ICONS_CHOICE)/add_to_friends.xpm \
+  $(ICONS_CHOICE)/cancel.xpm $(ICONS_CHOICE)/connect_more.xpm \
+  $(ICONS_CHOICE)/connect.xpm $(ICONS_CHOICE)/disconnect.xpm \
+  $(ICONS_CHOICE)/download.xpm \
+  $(ICONS_CHOICE)/edit_mp3.xpm $(ICONS_CHOICE)/extend_search.xpm \
+  $(ICONS_CHOICE)/get_format.xpm \
+  $(ICONS_CHOICE)/local_search.xpm $(ICONS_CHOICE)/preview.xpm \
+  $(ICONS_CHOICE)/refres.xpm \
+  $(ICONS_CHOICE)/save_all.xpm $(ICONS_CHOICE)/save_as.xpm \
+  $(ICONS_CHOICE)/save.xpm \
+  $(ICONS_CHOICE)/trash.xpm $(ICONS_CHOICE)/verify_chunks.xpm \
+  $(ICONS_CHOICE)/view_users.xpm \
+  $(ICONS_CHOICE)/pause_resume.xpm \
+  $(ICONS_CHOICE)/remove_all_friends.xpm 
 
 OLDGUI_SMALL_ICONS= \
   icons/small/add_to_friends_small.xpm icons/small/cancel_small.xpm \
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./config/configure ./config/configure
--- ./config/configure	2005-03-02 20:28:12.000000000 +0100
+++ ./config/configure	2005-03-06 23:40:11.000000000 +0100
@@ -974,7 +974,7 @@
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi
-    cd "$ac_popdir"
+    cd $ac_popdir
   done
 fi
 
@@ -2112,7 +2112,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2170,7 +2171,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2286,7 +2288,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2340,7 +2343,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2385,7 +2389,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2429,7 +2434,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2519,7 +2525,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2548,7 +2555,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2618,7 +2626,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2670,7 +2679,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2741,7 +2751,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2793,7 +2804,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3318,7 +3330,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3376,7 +3389,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3492,7 +3506,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3546,7 +3561,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3591,7 +3607,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3635,7 +3652,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4903,7 +4921,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5073,7 +5092,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5138,7 +5158,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5200,7 +5221,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5240,7 +5262,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5296,7 +5319,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5336,7 +5360,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5400,7 +5425,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5431,8 +5457,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -5544,7 +5572,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5606,7 +5635,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5646,7 +5676,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5702,7 +5733,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5742,7 +5774,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5806,7 +5839,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5837,8 +5871,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -5950,7 +5986,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6012,7 +6049,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6052,7 +6090,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6108,7 +6147,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6148,7 +6188,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6212,7 +6253,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6243,8 +6285,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6356,7 +6400,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6418,7 +6463,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6458,7 +6504,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6514,7 +6561,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6554,7 +6602,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6618,7 +6667,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6649,8 +6699,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -6762,7 +6814,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6824,7 +6877,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6864,7 +6918,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6920,7 +6975,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6960,7 +7016,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7024,7 +7081,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7055,8 +7113,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -7168,7 +7228,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7230,7 +7291,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7270,7 +7332,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7326,7 +7389,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7366,7 +7430,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7430,7 +7495,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7461,8 +7527,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -7574,7 +7642,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7636,7 +7705,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7676,7 +7746,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7732,7 +7803,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7772,7 +7844,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7836,7 +7909,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -7867,8 +7941,10 @@
 esac
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
-echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&5
+echo "$as_me: error: cannot run test program while cross compiling
+See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -7984,7 +8060,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8133,7 +8210,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8284,7 +8362,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8468,7 +8547,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8540,7 +8620,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8603,7 +8684,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8769,7 +8851,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8835,7 +8918,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -8998,7 +9082,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -9143,7 +9228,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10161,7 +10247,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10341,7 +10428,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10411,7 +10499,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -10457,7 +10546,8 @@
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -11891,6 +11981,11 @@
 
 
 
+  if test x"$ac_file" != x-; then
+    { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+    rm -f "$ac_file"
+  fi
   # Let's still pretend it is `configure' which instantiates (i.e., don't
   # use $as_me), people would be surprised to read:
   #    /* config.h.  Generated by config.status.  */
@@ -11929,12 +12024,6 @@
 	 fi;;
       esac
     done` || { (exit 1); exit 1; }
-
-  if test x"$ac_file" != x-; then
-    { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-    rm -f "$ac_file"
-  fi
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
   sed "$ac_vpsub
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui/gui_columns.ml ./src/gtk/gui/gui_columns.ml
--- ./src/gtk/gui/gui_columns.ml	2003-04-23 00:33:39.000000000 +0200
+++ ./src/gtk/gui/gui_columns.ml	2005-03-06 23:29:57.000000000 +0100
@@ -163,7 +163,7 @@
 (** The different columns which can be displayed for a search result. *)
 type result_column = 
   Col_result_name
-| Col_result_md4
+| Col_result_uids
 | Col_result_size
 | Col_result_format
 | Col_result_props
@@ -172,7 +172,7 @@
   
 let result_column_strings = [
     Col_result_name, M.c_name ;
-    Col_result_md4, M.c_md4 ;
+    Col_result_uids, M.c_md4 ;
     Col_result_size, M.c_size ;
     Col_result_format, M.c_format ;
     Col_result_props, M.c_properties ;
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui/gui_com.ml ./src/gtk/gui/gui_com.ml
--- ./src/gtk/gui/gui_com.ml	2004-03-07 10:37:37.000000000 +0100
+++ ./src/gtk/gui/gui_com.ml	2005-03-06 23:40:11.000000000 +0100
@@ -42,10 +42,10 @@
 
   
 let to_gui_protocol_used = Array.create (to_gui_last_opcode+1) 
-  GuiEncoding.best_gui_version
+  GuiProto.best_gui_version
 let from_gui_protocol_used = Array.create
     (from_gui_last_opcode+1) 
-  GuiEncoding.best_gui_version
+  GuiProto.best_gui_version
   
 module UseSocket = struct
   
@@ -138,7 +138,7 @@
               raise e
       ));
     gui#label_connect_status#set_text "Connecting";
-    send (GuiProto.GuiProtocol GuiEncoding.best_gui_version)
+    send (GuiProto.GuiProtocol GuiProto.best_gui_version)
   with e ->
       lprintf "Exception %s in connecting\n" (Printexc2.to_string e);
       TcpBufferedSocket.close sock (Closed_for_exception e);
@@ -181,7 +181,7 @@
           );
         end;      
       gui#label_connect_status#set_text "Connecting";
-      send (GuiProto.GuiProtocol GuiEncoding.best_gui_version)
+      send (GuiProto.GuiProtocol GuiProto.best_gui_version)
       
     let connected _ = true
       
@@ -222,7 +222,7 @@
               | _ -> ()
           ) in
         GuiEncoding.gui_send (GuiEncoding.from_gui from_gui_protocol_used) sock 
-          (GuiProto.GuiProtocol GuiEncoding.best_gui_version);
+          (GuiProto.GuiProtocol GuiProto.best_gui_version);
         set_closer sock (fun _ _ -> 
             scan_port next (i+1) max);
         let proto = ref 0 in
@@ -235,7 +235,7 @@
                   let m = GuiDecoding.to_gui to_gui_protocol_used
                       opcode s in
                   match m with
-                    CoreProtocol n -> 
+                    CoreProtocol (n, _, _) -> 
                       lprintf "GUI version %d on port %d" n i;
                       lprint_newline ();
                       proto := n
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui/gui_downloads.ml ./src/gtk/gui/gui_downloads.ml
--- ./src/gtk/gui/gui_downloads.ml	2004-01-30 07:11:05.000000000 +0100
+++ ./src/gtk/gui/gui_downloads.ml	2005-03-06 23:39:35.000000000 +0100
@@ -828,8 +828,8 @@
       f.file_names <- f_new.file_names ;
       f.file_size <- f_new.file_size ;
       f.file_downloaded <- f_new.file_downloaded ;
-      f.file_nlocations <- f_new.file_nlocations ;
-      f.file_nclients <- f_new.file_nclients ;
+      f.file_all_sources <- f_new.file_all_sources ;
+      f.file_active_sources <- f_new.file_active_sources ;
       f.file_state <- f_new.file_state ;
       let must_redraw = 
         (f.file_chunks <> f_new.file_chunks) || 
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui/gui_main.ml ./src/gtk/gui/gui_main.ml
--- ./src/gtk/gui/gui_main.ml	2004-03-07 10:37:37.000000000 +0100
+++ ./src/gtk/gui/gui_main.ml	2005-03-06 23:40:11.000000000 +0100
@@ -236,9 +236,9 @@
             (s.tcp_download_rate + s.udp_download_rate) s.udp_download_rate
         )
     
-    | CoreProtocol v -> 
+    | CoreProtocol (v, _, _) -> 
         
-        let version = min v GuiEncoding.best_gui_version in
+        let version = min v GuiProto.best_gui_version in
         for i = 0 to to_gui_last_opcode do
           Gui_com.to_gui_protocol_used.(i) <- version;
         done;
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui/gui_results.ml ./src/gtk/gui/gui_results.ml
--- ./src/gtk/gui/gui_results.ml	2004-01-16 00:22:01.000000000 +0100
+++ ./src/gtk/gui/gui_results.ml	2005-03-06 23:34:29.000000000 +0100
@@ -42,8 +42,10 @@
 
 let shorten_name s = Filename2.shorten !!O.max_result_name_len s
 
-let is_filtered r =
+let is_filtered r = false
+(* TODO RESULT
   List.memq r.result_network !Gui_global.networks_filtered
+*)
 
 class box s_num columns () =
   let titles = List.map Gui_columns.Result.string_of_column !!columns in
@@ -122,14 +124,15 @@
     method compare_by_col col r1 r2 =
       match col with
         Col_result_name -> compare (first_name r1) (first_name r2)
-      |	Col_result_md4 -> compare (Md4.to_string r1.result_md4) (Md4.to_string r2.result_md4)
+      | Col_result_uids -> compare r1.result_uids r2.result_uids
       |	Col_result_size -> compare r1.result_size r2.result_size
       |	Col_result_format -> compare r1.result_format r2.result_format
       |	Col_result_props -> compare (CommonGlobals.string_of_tags 
               r1.result_tags) (
             CommonGlobals.string_of_tags r2.result_tags)
       |	Col_result_comment -> compare r1.result_comment r2.result_comment
-      | Col_result_network -> compare r1.result_network r2.result_network
+      | Col_result_network ->
+   (* TODO RESULT compare r1.gresult_network r2.gresult_network *) 0
           
     method compare r1 r2 =
       let abs = if current_sort >= 0 then current_sort else - current_sort in
@@ -143,11 +146,13 @@
     method content_by_col col r =
       match col with
         Col_result_name -> shorten_name (first_name r)
-      |	Col_result_md4 -> Md4.to_string r.result_md4
+      | Col_result_uids ->
+          (Uid.to_string (List.hd r.result_uids))
       |	Col_result_size -> Gui_misc.size_of_int64 r.result_size
       |	Col_result_format -> r.result_format
       |	Col_result_props -> CommonGlobals.string_of_tags r.result_tags
-      | Col_result_network -> Gui_global.network_name r.result_network
+      | Col_result_network ->
+   (* TODO RESULT compare r1.gresult_network r2.gresult_network *) "--"
       |	Col_result_comment -> r.result_comment 
     
     method content r =
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui/gui_servers.ml ./src/gtk/gui/gui_servers.ml
--- ./src/gtk/gui/gui_servers.ml	2004-01-16 00:22:01.000000000 +0100
+++ ./src/gtk/gui/gui_servers.ml	2005-03-06 23:36:02.000000000 +0100
@@ -19,6 +19,7 @@
 
 (** GUI for the list of servers. *)
 
+open Int64ops
 open Options
 open GToolbox
   
@@ -183,11 +184,11 @@
             (Ip.string_of_addr s.server_addr) s.server_port
       |	Col_server_state -> fst (string_color_of_state s.server_state)
       |	Col_server_users ->
-          if s.server_nusers = 0 then "" 
-          else Printf.sprintf "%5d" s.server_nusers
+          if s.server_nusers = zero then "" 
+          else Printf.sprintf "%5Ld" s.server_nusers
       |	Col_server_files ->
-          if s.server_nfiles = 0 then "" 
-          else Printf.sprintf "%7d"  s.server_nfiles
+          if s.server_nfiles = zero then "" 
+          else Printf.sprintf "%7Ld"  s.server_nfiles
       |	Col_server_desc ->
           if s.server_name = "" then "" 
           else Printf.sprintf "%s [%s]" s.server_name s.server_description
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui2/gui2_handler.ml ./src/gtk/gui2/gui2_handler.ml
--- ./src/gtk/gui2/gui2_handler.ml	2003-04-23 00:33:39.000000000 +0200
+++ ./src/gtk/gui2/gui2_handler.ml	2005-03-06 23:40:11.000000000 +0100
@@ -983,8 +983,8 @@
         
         ignore (gui#tab_console#text#insert_text "Bad Passord" 0)
     
-    | CoreProtocol v -> 
-        gui_protocol_used := min v GuiEncoding.best_gui_version;
+    | CoreProtocol (v, _, _) -> 
+        gui_protocol_used := min v GuiProto.best_gui_version;
         lprintf "Using protocol %d for communications" !gui_protocol_used;
         lprint_newline ();
         gui#label_connect_status#set_text "Connected";
diff -x Root -x Repository -x Entries -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk/gui2/gui2_misc.ml ./src/gtk/gui2/gui2_misc.ml
--- ./src/gtk/gui2/gui2_misc.ml	2003-04-23 00:33:39.000000000 +0200
+++ ./src/gtk/gui2/gui2_misc.ml	2005-03-06 23:40:11.000000000 +0100
@@ -251,7 +251,7 @@
               raise e
       ));
     gui#label_connect_status#set_text "Connecting";
-    gui_send (GuiProto.GuiProtocol GuiEncoding.best_gui_version)
+    gui_send (GuiProto.GuiProtocol GuiProto.best_gui_version)
   with e ->
       lprintf "Exception %s in connecting" (Printexc2.to_string e);
       lprint_newline ();
